# Detailed explanation of all options available at https://github.com/NEZNAMY/TAB/wiki/config.yml
header-footer:
  enabled: true
  header:
  - '&a&lTecho-Magic'
  - ''
  - '&7&lОнлайн: &e%server_online% / %server_max_players%'
  footer:
  - ''
  - '&7&lTPS: &r%cmi_tps_1_colored%'
  per-world:
    world1:
      header:
      - an example of world with custom
      footer:
      - header/footer and prefix/suffix
    world2;world3:
      header:
      - This is a shared header for
      - world2 and world3
  disable-condition: '%world%=disabledworld'
tablist-name-formatting:
  enabled: true
  anti-override: true
  disable-condition: '%world%=disabledworld'
scoreboard-teams:
  enabled: false
  enable-collision: true
  invisible-nametags: false
  anti-override: true
  sorting-types:
  - GROUPS:admin,seniormod,builder,tester,blacksmith,mod,youtuber,premium,default
  - PLACEHOLDER_A_TO_Z:%player%
  case-sensitive-sorting: true
  can-see-friendly-invisibles: false
  disable-condition: '%world%=disabledworld'
belowname-objective:
  enabled: false
  number: '%health%'
  text: '&c❤'
  disable-condition: '%world%=disabledworld'
  fancy-display-default: NPC
  fancy-display-players: '&c%health%'
prevent-spectator-effect:
  enabled: false
bossbar:
  enabled: false
  toggle-command: /bossbar
  remember-toggle-choice: false
  hidden-by-default: false
  bars:
    ServerInfo:
      style: PROGRESS
      color: BLUE
      progress: '0'
      text: ꐭ %townyadvanced_player_location_town_or_wildname%%townyadvanced_player_location_pvp%
        &8|&r ꐫ &b%time% &8|&r ꐬ %cmi_user_mail_count% &8|&r ꐪ &e%cmi_user_balance_formated%
per-world-playerlist:
  enabled: false
  allow-bypass-permission: false
  ignore-effect-in-worlds:
  - ignoredworld
  - build
  shared-playerlist-world-groups:
    lobby:
    - lobby1
    - lobby2
    minigames:
    - paintball
    - bedwars
scoreboard:
  enabled: false
  toggle-command: /sb
  remember-toggle-choice: true
  hidden-by-default: false
  use-numbers: false
  static-number: 0
  delay-on-join-milliseconds: 0
  scoreboards:
    scoreboard1:
      title: '&eУровень %mmocore_level% (%mmocore_level_percent%%)'
      lines:
      - '&eОпыт: %mmocore_experience% / %mmocore_next_level%'
      - '&6Класс: %mmocore_class%'
      - ' '
      - '&c❤HP&7: &c%mmocore_health% / %mmocore_stat_max_health%'
      - '&9★MP&7: &9%mmocore_mana% / %mmocore_stat_max_mana%'
      - '&6✦ST&7: &6%mmocore_stamina% / %mmocore_stat_max_stamina%'
      - '&5⁂SL&7: &5%mmocore_stellium% / %mmocore_stat_max_stellium%'
placeholders:
  date-format: dd.MM.yyyy
  time-format: HH:mm
  time-offset: 0
  register-tab-expansion: true
placeholder-output-replacements:
  '%essentials_vanished%':
    'yes': '&7| Vanished'
    'no': ''
  '%afk%':
    true: ' &o[AFK]&r'
    false: ''
  '%essentials_nickname%':
    '%essentials_nickname%': '%player%'
placeholderapi-refresh-intervals:
  default-refresh-interval: 500
  '%server_uptime%': 1000
  '%server_tps_1_colored%': 1000
  '%server_unique_joins%': 5000
  '%player_health%': 200
  '%player_ping%': 500
  '%vault_prefix%': 500
  '%rel_factionsuuid_relation_color%': 1000
assign-groups-by-permissions: false
primary-group-finding-list:
- admin
- seniormod
- builder
- blacksmith
- mod
- youtuber
- premium
- default
debug: false
mysql:
  enabled: false
  host: 127.0.0.1
  port: 3306
  database: tab
  username: user
  password: password
use-online-uuid-in-tablist: true
global-playerlist:
  enabled: false
  update-latency: false
layout:
  enabled: false
  direction: COLUMNS
  default-skin: mineskin:1753261242
  enable-remaining-players-text: true
  remaining-players-text: '... and %s more'
  empty-slot-ping-value: 1000
  layouts:
    staff:
      condition: permission:tab.staff
      fixed-slots:
      - '1|&3RAM&f:'
      - 2|&b%memory-used%MB / %memory-max%MB
      - '3|&8&m                       '
      - '4|&3TPS&f:'
      - 5|&b%tps%
      groups:
        staff:
          condition: permission:tab.staff
          slots:
          - 24-40
        players:
          slots:
          - 44-80
    default:
      fixed-slots:
      - '1|&3Website&f:'
      - 2|&bmyserver.net
      - '3|&8&m                       '
      - '4|&3Name&f:'
      - 5|&b%player%
      - '7|&3Rank&f:'
      - '8|Rank: %group%'
      - '10|&3World&f:'
      - 11|&b%world%
      - '13|&3Time&f:'
      - 14|&b%time%
      - '21|&3Teamspeak&f:'
      - 22|&bts.myserver.net
      - '23|&8&m                       '
      - '41|&3Store&f:'
      - 42|&bshop.myserver.net
      - '43|&8&m                       '
      groups:
        staff:
          condition: permission:tab.staff
          slots:
          - 24-40
        players:
          slots:
          - 44-80
ping-spoof:
  enabled: false
playerlist-objective:
  enabled: true
  value: '%ping%'
  disable-condition: '%world%=disabledworld'
  fancy-value: '&7Ping: %ping%'
permission-refresh-interval: 1000
enable-redisbungee-support: true
